- hosts: cpf-server
  remote_user: root

  tasks:
    - name: instalar curl, vim, git e build-essential
      apt: pkg={{ item }} state=present update_cache=true
      with_items:
        - git
        - curl
        - vim
        - build-essential

    - name: instalar gpg key para o nodejs
      apt_key:
        url: "https://deb.nodesource.com/gpgkey/nodesource.gpg.key"
        state: present

    - name: adicionar repositorio do nodejs
      apt_repository:
        repo: "deb https://deb.nodesource.com/node_10.x {{ ansible_distribution_release }} main"
        state: present
        update_cache: yes

    - name: instalar nodejs
      apt:
        name: nodejs
        state: present

    - name: instalar pm2
      shell: "npm install pm2 -g"

    - name: instalar nginx
      apt: pkg=nginx state=present update_cache=true

    - name: adicionar arquivo de configuracao no nginx
      template: src=cpf_validator_api.conf dest=/etc/nginx/conf.d/

    - name: atualizacao do projeto no servidor
      git: repo='https://gitlab.com/pigor/cpf_validator_api.git'
        dest=/opt/cpf_validator_api
        force=yes

    - name: instalar dependencias
      npm:
        path: /opt/cpf_validator_api

    - name: encerrar processo
      command: pm2 delete cpf_validator_api

    - name: iniciar processo
      command: chdir=/opt/cpf_validator_api pm2 start --name "cpf_validator_api" app.js

    - name: restart nginx
      service: name=nginx state=restarted
